#!/bin/sh
target_dir="$(kde4-config --localprefix)share/kde4/services/ServiceMenus/installPlasmoid"
script_lang=`echo $LANG | cut -d _ -f 1`

# Translations:

if [ "$script_lang" = "fi" ] ; then	# Finnish
	uninstallation="Asennuksen poisto"
	message_uninstallation_completed="Asennuksen poisto onnistui."
	message_uninstallation_failed="Asennuksen poisto epäonnistui!"
	
  elif [ "$script_lang" = "____" ] ; then	# Copy this empty "elif"-thing and fill up blanks with your own translations.
	uninstallation="____"
	message_uninstallation_completed="____"
	message_uninstallation_failed="____"
# Put your own translation right after this line.

# Dont put it after this line!
  else	# English
	uninstallation="Uninstallation"
	message_uninstallation_completed="Uninstallation completed."
	message_uninstallation_failed="Uninstallation failed!"
fi

script_name="\"installPlasmoid\" $uninstallation"

# End of translations

# Uninstallation (current user)
rm -R -f "$target_dir"
# End of uninstallation (current user)

if [ -d "/usr/share/kde4/services/ServiceMenus/installPlasmoid" ] ; then	# Checks if installed system wide.
	# Uninstallation (system wide)
	kdesudo -- rm -R -f "/usr/share/kde4/services/ServiceMenus/installPlasmoid"
	# End of uninstallation (system wide)
fi

if [ "$?" -ne "0" ] ; then
	kdialog --caption "$script_name" --error "$message_uninstallation_failed"	# Error dialog.
	exit
fi
kdialog --caption "$script_name" --icon "info" --msgbox "$message_uninstallation_completed"	#Information dialog.
exit 0
