#!/bin/sh
target_dir="$(kde4-config --localprefix)share/kde4/services/ServiceMenus/installPlasmoid"
script_lang=`echo $LANG | cut -d _ -f 1`

# Translations:

if [ "$script_lang" = "fi" ] ; then
	# Finnish
	installation="Asennus"
	install="Asenna:"
	just_for_me="Vain minulle."
	system_wide="Kaikille käyttäjille. (Sinun täytyy olla järjestelmänvalvoja)"
	message_incorrect_working_dir="Virheellinen työkansio.\nKohdetta \"$PWD/data\" ei löydy!"
	message_files_missing="Yksi tai useampi tiedosto puuttuu!"
	message_installation_completed="Asennus suoritettu loppuun."
	message_installation_failed="Asennus epäonnistui!"
	
  elif [ "$script_lang" = "__" ] ; then	# Copy this empty "elif"-thing and fill up blanks with your own translations.
	# ____
	installation="____"
	install="____:"
	just_for_me="____."
	system_wide="____. (____)"
	message_incorrect_working_dir="____\n\"$PWD/data\" ____"
	message_files_missing=""
	message_installation_completed="____"
	message_installation_failed="____"
# Put your own translation right after this line.

# Dont put it after this line!
  else	# English
	installation="Installation"
	install="Install:"
	just_for_me="Just for me."
	system_wide="System wide. (You must be one of system administrators)"
	message_incorrect_working_dir="Incorrect working directory!\n\"$PWD/data\" not found!"
	message_files_missing="One or more files are missing!"
	message_installation_completed="Installation completed."
	message_installation_failed="Installation failed!"
fi

script_name="\"installPlasmoid\" $installation"

# End of translations.

# Checking things:
if [ ! -d "./data" ] ; then	# Checks data directory.
	kdialog --caption "$script_name" --error "$message_incorrect_working_dir"	# Error dialog.
	exit 1
fi

cd "./data"			# cd to data directory.

if [ $(ls "./installplasmoid.desktop" "./install-systemwide.sh" | wc -l) -ne "2" ] ; then	# Counts how many files found with given path(s). If not "2", then one or more files are missing.
	kdialog --caption "$script_name" --error "$message_files_missing"	# Error dialog.
	exit 1
fi
# End of checking things.

# Installation:
choise=$(kdialog --caption "$script_name" --radiolist "$install" 1 "$just_for_me" on 2 "$system_wide" off)	# Selection dialog.
if [ ! "$choise" ] ; then
	exit 1	# Aborts setup if "Cancel" is pressed.
fi

if [ "$choise" -eq "1" ] ; then		# If "Just for me." selected, do:
	rm -R -f "$target_dir"
	mkdir "$target_dir"
	cp ./installplasmoid.desktop "$target_dir"/
	chmod +rx "$target_dir"/*
elif [ "$choise" -eq "2" ] ; then	# If "System wide." selected, do:
	kdesudo ./install-systemwide.sh
fi
if [ "$?" -ne "0" ] ; then		# If failed, do:
	kdialog --caption "$script_name" --error "$message_installation_failed"	# Error dialog.
	exit
fi
kdialog --caption "$script_name" --icon "info" --msgbox "$message_installation_completed"	#Information dialog.
# End of installation.
exit 0